# ControlAdmin
Date: 2016-11-30

control

## Class ControlAdmin

- java.lang.Object
- - control.ControlAdmin

    public class ControlAdmin
    extends java.lang.Object

Clase que se dedica a controlar los procesos en las ventanas de administrador, crear y modificar

### Constructor Summary

Constructors
Constructor and Description
`ControlAdmin()` Constructor que inicia la clase archivo para ser utilizada por ControlAdmin

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `aņadirUsuario(java.lang.String user, java.lang.String pass)` Aņade un usuario al archivo comprobando antes si cumple con las condiciones esperadas
`java.lang.String[]` `getRow(int id)` Entrega la fila correspondiente al id que se le proporciona
`int` `getRowCount()` Cantidad de filas que posee el archivo
`boolean` `isUser(java.lang.String user)` Busca un usuario en el archivo e indica si existe o no
`boolean` `modificarUser(java.lang.String original, java.lang.String user, java.lang.String pass)` Modifica los datos de un usuario

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControlAdmin

    public ControlAdmin()

Constructor que inicia la clase archivo para ser utilizada por ControlAdmin

### Method Detail

#### getRowCount

    public int getRowCount()

Cantidad de filas que posee el archivo

Returns:
  La cantidad de filas en el archivo

#### getRow

    public java.lang.String[] getRow(int id)

Entrega la fila correspondiente al id que se le proporciona

Parameters:
  `id` - Numero de la fila que se quiere
Returns:
  la fila respecto al id

#### aņadirUsuario

    public boolean aņadirUsuario(java.lang.String user,
                                 java.lang.String pass)

Aņade un usuario al archivo comprobando antes si cumple con las condiciones esperadas

Parameters:
  `user` - Nombre de usuario
  `pass` - Contraseņa
Returns:
  Un booleano indicando si el ingreso fue correcto

#### isUser

    public boolean isUser(java.lang.String user)

Busca un usuario en el archivo e indica si existe o no

Parameters:
  `user` - Usuario a buscar
Returns:
  Un booleano que indica si existe o no el usuario

#### modificarUser

    public boolean modificarUser(java.lang.String original,
                                 java.lang.String user,
                                 java.lang.String pass)

Modifica los datos de un usuario

Parameters:
  `original` - Linea que contiene el usuario y la contraseņa de la siguiente manera "user;pass"
  `user` - Nombre de usuario nuevo
  `pass` - Contraseņa nueva para el usuario
Returns:
  Un Booleano que indica si la operacion se realizo correctamente